
%define ver 0.9.49
%define prefix /usr/X11R6

Summary: A fast, small X Window System window manager.
Name: icewm 
Version: %ver
Release: 1
Copyright: LGPL
Group: User Interface/Desktops
Source: icewm-%ver.src.tar.gz
URL: http://www.kiss.uni-lj.si/~k4fr0235/icewm/
Patch: icewm-redhat.patch
BuildRoot: /var/tmp/icewm-%{ver}-root

%description
Icewm emulates the look and feel of Windows95, OS/2 Warp 3 and 4, and
Motif.  Icewm features include multiple workspaces, opaque
move/resize, a task bar, a window list, mailbox status, and a digital
clock.  Almost all functions can be invoked both by keyboard and mouse
(except when using mouse focus). Note that extreme configurability
(like fvwm and other window managers) is not a feature of icewm.

%prep

%setup -q
%patch -p1 -b .redhat

%build
CXXFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} --with-gnome --with-imlib
make

%install
make prefix=$RPM_BUILD_ROOT%{prefix} ETCDIR=$RPM_BUILD_ROOT/etc/X11/icewm install

strip $RPM_BUILD_ROOT%{prefix}/bin/* || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING CHANGES TODO BUGS icewm.lsm FAQ doc/*.html doc/icewm.sgml
%{prefix}/lib/X11/icewm/
%{prefix}/bin/icewm
%{prefix}/bin/icewmhint
%{prefix}/bin/icewmbg

%changelog
* Fri Nov 12 1999 Tim Powers <timp@redhat.com>
- update to 0.9.49
- quiet setup
- strip binaries

* Tue Aug 24 1999 Bill Nottingham <notting@redhat.com>
- update to 0.9.48

* Mon Aug 16 1999 Bill Nottingham <notting@redhat.com>
- update to 0.9.46

* Sat Jul 17 1999 Tim Powers <timp@redhat.com>
- start changelog
- changed buildroot path to /var/tmp instead of /tmp
- rebuilt for 6.1
